Could not load plugin due to invalid binary format (32/64 Bit mismatch)
Status: Closed   

Priority: Normal   

Category:    

Customer: VW Product Issue

Numbers:

 

Department: EFFX Affected Products: ADTF 2.13.3

Requester's Priority: Low Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Common

Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

beim Laden einer Konfiguration bekomme ich die Exception "Could not load Plugin ... invalid binary format (try to check for 32/64 Bit

mismatch)".

Ich habe die .dlls unter Windows/System32 im Verdacht. (MSVCR100d.dll)

Lösung

Wenn du ADTF 64Bit verwendest, dann müssen ALLE Plugins (.plb) / Services (.srv) und auch deren Abhängigkeiten (.dll) mit dem

64Bit Compiler MSVC100 kompiliert worden sein.

Am besten du schaust mit einem Dependency Walker auf das Plugin ..., dann siehst du ganz schnell, ob es am Plugin selbst oder an

seinen Abhängigkeiten liegt.

History

#1 - 2019-05-07 08:58 - hidden

- Project changed from Public Support to 20

- Status changed from New to In Progress

- Topic set to ADTF::Common

#2 - 2019-05-07 09:02 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Dennis,

wenn du ADTF 64Bit verwendest, dann müssen ALLE Plugins (.plb) / Services (.srv) und auch deren Abhängigkeiten (.dll) mit dem 64Bit Compiler

MSVC100 kompiliert worden sein.

Am besten du schaust mit einem Dependency Walker auf das Plugin ..., dann siehst du ganz schnell, ob es am Plugin selbst oder an seinen

Abhängigkeiten liegt.

Mehr können wir hier nicht tun, das hat nichts mit ADTF sondern mit grundsätzlicher Kompatibilität zu tun.

Deine Runtime an sich (MSVCR100d.dll) kannst du auschließen, diese müsste 64 Bit sein.

Oder hast du ein ADTF 32 Bit auf deinem 64 Bit Windows installiert ?

#3 - 2019-05-10 08:41 - hidden

- Project changed from 20 to Public Support

- Subject changed from invalid binary format to Could not load plugin due to invalid binary format (32/64 Bit mismatch)

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Not Supported Scope
#4 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
